
CREATE TABLE IF NOT EXISTS `m_medias` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `url` TEXT NOT NULL,
  `file_name` VARCHAR(255) NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `m_icons` (
  `id` INT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_medias` BIGINT UNSIGNED NOT NULL,
  `icon` VARCHAR(50) NOT NULL,
  `slug` VARCHAR(50) NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `m_categories` (
  `id` INT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_icons` INT UNSIGNED NOT NULL,
  `category` VARCHAR(50) NOT NULL,
  `slug` VARCHAR(50) NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `m_level` (
  `id` INT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `level` VARCHAR(50) NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `m_users` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_medias` BIGINT UNSIGNED NOT NULL,
  `id_m_level` INT UNSIGNED NOT NULL,
  `email` VARCHAR(100) NOT NULL,
  `full_name` VARCHAR(50) NOT NULL,
  `phone_number` VARCHAR(15),
  `address` TEXT,
  `token` VARCHAR(255) NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `m_logs` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `ip_address` VARCHAR(20) NOT NULL,
  `activity` TEXT NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `m_services` (
  `id` INT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `service_name` VARCHAR(100) NOT NULL,
  `is_visible` TINYINT(1) DEFAULT 1
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `m_settings` (
  `id` TINYINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `application_name` VARCHAR(100) NOT NULL,
  `id_m_medias` BIGINT UNSIGNED NOT NULL,
  `is_checkout_available` TINYINT(1) DEFAULT 1,
  `version_code` INT DEFAULT 1
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_chat_user` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `chat_token` VARCHAR(255) NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_chat_detail_user` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_t_chat_user` BIGINT UNSIGNED NOT NULL,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `content` TEXT NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_notification` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `type` TINYINT(2) DEFAULT 0,
  `title` VARCHAR(255) NOT NULL,
  `content` TEXT NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_announcement` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `title` VARCHAR(255) NOT NULL,
  `content` TEXT NOT NULL,
  `is_visible` TINYINT(1) DEFAULT 1
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_products` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_medias` BIGINT UNSIGNED NOT NULL,
  `product_name` VARCHAR(255) NOT NULL,
  `product_description` TEXT NOT NULL,
  `product_price` BIGINT NOT NULL,
  `discount` TINYINT(4) DEFAULT 0,
  `is_recommended` TINYINT(1) DEFAULT 0,
  `is_visible` TINYINT(1) DEFAULT 1
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `u_product_photos` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_t_products` BIGINT UNSIGNED NOT NULL,
  `id_m_medias` BIGINT UNSIGNED NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_feedback_product` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_t_products` BIGINT UNSIGNED NOT NULL,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `rating` TINYINT(1) DEFAULT 1,
  `comment` TEXT NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_voucher` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_medias` BIGINT UNSIGNED NOT NULL,
  `voucher_code` VARCHAR(20) NOT NULL,
  `voucher_title` VARCHAR(255) NOT NULL,
  `discount_price` BIGINT DEFAULT 0,
  `start_date` VARCHAR(20) NOT NULL,
  `end_date` VARCHAR(20) NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_voucher_redeem_user` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_t_voucher` BIGINT UNSIGNED NOT NULL,
  `id_m_users` BIGINT UNSIGNED NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_request_menu` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `product_name` VARCHAR(255) NOT NULL,
  `product_description` TEXT NOT NULL,
  `product_price` BIGINT DEFAULT 0,
  `product_qty` INT DEFAULT 1,
  `is_visible` TINYINT(1) DEFAULT 1
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_banner` (
  `id` INT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_medias` BIGINT UNSIGNED NOT NULL,
  `title` VARCHAR(255) NOT NULL,
  `content` TEXT NOT NULL,
  `is_visible` TINYINT(1) DEFAULT 1
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_cart_product_user` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `id_t_products` BIGINT UNSIGNED NOT NULL,
  `qty` INT DEFAULT 1,
  `is_visible` TINYINT(1) DEFAULT 1
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_cart_request_menu_user` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `id_t_request_menu` BIGINT UNSIGNED NOT NULL,
  `qty` INT DEFAULT 1,
  `is_visible` TINYINT(1) DEFAULT 1
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_wishlist_product` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `id_t_products` BIGINT UNSIGNED NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_documents` (
  `id` INT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `title` VARCHAR(255) NOT NULL,
  `url` TEXT NOT NULL
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_transaction_product` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `transaction_code` VARCHAR(255) NOT NULL,
  `total` BIGINT DEFAULT 0,
  `status` TINYINT(2) DEFAULT 0
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_transaction_request_menu` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `transaction_code` VARCHAR(255) NOT NULL,
  `total` BIGINT DEFAULT 0,
  `status` TINYINT(2) DEFAULT 0
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_transaction_product_item` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `id_t_transaction_product` BIGINT UNSIGNED NOT NULL,
  `id_t_products` BIGINT UNSIGNED NOT NULL,
  `qty` INT DEFAULT 1,
  `sub_total` BIGINT DEFAULT 0
) ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `t_transaction_request_menu_item` (
  `id` BIGINT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `id_m_users` BIGINT UNSIGNED NOT NULL,
  `id_t_transaction_request_menu` BIGINT UNSIGNED NOT NULL,
  `id_t_request_menu` BIGINT UNSIGNED NOT NULL,
  `qty` INT DEFAULT 1,
  `sub_total` BIGINT DEFAULT 0
) ENGINE = InnoDB;